<template>
  <single-panel>
    <ob-tabs
        v-if="isClicar && !isOrderAll"
        v-model="activeTab"
        :items="tabsItems"
        @on-change-tab="onChangeTabHandler"
        value-exp="uuid"
    >
      <component :is="isComponent" />
    </ob-tabs>
    <client v-else/>
  </single-panel>
</template>

<script>
  import SinglePanel from "common-components/src/obComponents/obSinglePanels";
  import ObTabs from "common-components/src/obComponents/obTabs/index";
  import Client from './client';
  import Carrier from './carrier';
  import commonMethods from '@/mixins/order-list-mixin.js';
  import { mapGetters } from "vuex";

  let componentsMap = {
    client: Client,
    carrier: Carrier
  };
  
  export default {
    name: "performer",
    components: {
      SinglePanel,
      ObTabs,
      Client,
      Carrier
    },
    mixins: [
      commonMethods
    ],
    data() {
      return {
        activeTab: {
          uuid: ""
        }
      }
    },
    computed: {
      ...mapGetters({
        isClicar: 'user/isClicar'
      }),
      tabsItems() {
        return [
          {
            uuid: "client",
            title: "Заказы клиентов",
          },
          {
            uuid: "carrier",
            title: "Заказы перевозчиков",
          },
        ];
      },
      isComponent() {
        return componentsMap[this.activeTab.uuid];
      }
    },
    mounted() {
      if (this.$route.query.hasOwnProperty('role')) {
        this.activeTab.uuid = this.$route.query.role;
      } else {
        this.activeTab.uuid = this.tabsItems[0].uuid;
      }
    }
  }
</script>